﻿using System;
using System.Collections.ObjectModel;
using System.Linq;

namespace RadPivotGrid_PersistExpandState_WPF
{
    public class AllOrders : Collection<Order>
    {
        public AllOrders()
        {
            var random = new Random();

            for (int i = 0; i < 1000; i++)
            {
                this.Add(
                new Order
                        {
                            Date = new DateTime(random.Next(2010, 2012), random.Next(1, 13), random.Next(1, 29)),
                            Product = random.Next() % 7 == 0 ? (random.Next() % 11 == 0 ? "Printer stand" : "Glare filter") : (random.Next() % 3 == 0 ? "Mouse pad" : "Copy holder"),
                            Quantity = random.Next(1, 100),
                            Net = random.Next(50, 300) + random.NextDouble(),
                            Promotion = random.Next() % 13 == 0 ? "1 Free with 10" : "Extra Discount",
                            Advertisement = random.Next() % 17 == 0 ? (random.Next() % 3 == 0 ? "Direct mail" : "Magazine") : (random.Next() % 3 == 0 ? "Newspaper" : "Magazine"),
                        });
            }
        }
    }
}
